Permalink
Browse files

Don't require skewer-mode on Emacs < 24 (fixes #74)

  • Loading branch information...
1 parent e265849 commit 9a2cb00b9af212f73ecbec19763c3b5905ddabb3 @purcell committed Mar 16, 2013
Showing with 3 additions and 2 deletions.
  1. +3 −2 init-javascript.el
View
5 init-javascript.el
@@ -94,8 +94,9 @@
;; Alternatively, use skewer-mode
;; ---------------------------------------------------------------------------
-(require-package 'skewer-mode)
-(add-hook 'skewer-mode-hook (lambda () (inferior-js-keys-mode -1)))
+(when (featurep 'js2-mode)
+ (require-package 'skewer-mode)
+ (add-hook 'skewer-mode-hook (lambda () (inferior-js-keys-mode -1))))
(provide 'init-javascript)

0 comments on commit 9a2cb00

Please sign in to comment.